This operation uses content negotiation to request either a JSON representation of the statement (application/json), or the actual statement file (application/octet-stream).
Scope: bank-statements:read
GET
/v2/bank_statements/{id}
curl \
--request GET 'https://api.memo.bank/v2/bank_statements/4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1'
Response examples (200)
{
"id": "4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1",
"account_id": "29883c3d-0b11-4c38-91b0-af9018cc5b14",
"format": "pdf",
"month": "2026-09",
"start_date": "2026-09-01",
"end_date": "2026-09-30",
"filename": "statement.pdf",
"size": 42,
"mime_type": "application/pdf",
"created_at": "2026-05-04T09:42:00Z"
}